---
sidebar_position: 6
description: Get assistant message and other functions to work with OpenAI in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, OpenAI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get assistant message
 Gets the structure of a message from the assistant for use in a request



`Function GetAssistantMessage(Val Text) ExportReturn GetMessageStructure("assistant", Text);EndFunction`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Text | --text | String | &#x2714; | Message text |

  
  Returns:  Structure Of KeyAndValue - Fields structure

:::tip
Is a shorthand for the function `GetMessageStructure`
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_OpenAI.GetAssistantMessage("What is 1C:Enterprise?");
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint openai GetAssistantMessage \
             --text "What is 1C:Enterprise?"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint openai GetAssistantMessage ^
             --text "What is 1C:Enterprise?"
        ```
    </TabItem>
</Tabs>


```json title="Result"
"{\r\n \"role\": \"assistant\",\r\n \"content\": \"What is 1C:Enterprise?\"\r\n}"
```
